Bug 431586 - minor packaging patch
Summary: minor packaging patch
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: hal-info   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Zeuthen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-05 17:15 UTC by Patrice Dumas
Modified: 2013-03-06 03:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-22 12:22:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
packaging cleanups (1.95 KB, patch)
2008-02-05 17:15 UTC, Patrice Dumas
no flags Details | Diff
add HACKING to %doc and keep timestamps (854 bytes, patch)
2008-06-14 08:00 UTC, Patrice Dumas
no flags Details | Diff

Description Patrice Dumas 2008-02-05 17:15:41 UTC
Description of problem:

Minor packaging issues/suggestions in a patch
* ship HACKING in %doc
* don't use %{dist} in %changelog
* keep timestamps

It seems to me that this package should not use %dist at all, but
it is up to you.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Patrice Dumas 2008-02-05 17:15:41 UTC
Created attachment 294021 [details]
packaging cleanups

Comment 2 Bug Zapper 2008-05-14 05:00:37 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Richard Hughes 2008-05-30 11:51:45 UTC
Does this fix still need applying for F9? if so, please email me and I'll apply
the patch into CVS. Thanks.

Comment 4 Patrice Dumas 2008-06-14 08:00:11 UTC
Created attachment 309330 [details]
add HACKING to %doc and keep timestamps 

The %dist in changelog is already fixed.

Comment 5 Richard Hughes 2008-06-16 13:35:17 UTC
-make install DESTDIR=$RPM_BUILD_ROOT
+make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

Is this a change that all packages should have? Is there a better (global?) way
of doing this?

Comment 6 Patrice Dumas 2008-06-16 13:44:14 UTC
Not that I know of. And also some packager think that keeping timestamps
is pointless.

Comment 7 Patrice Dumas 2008-12-22 12:22:28 UTC
(In reply to comment #5)
> -make install DESTDIR=$RPM_BUILD_ROOT
> +make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
> 
> Is this a change that all packages should have? Is there a better (global?) way
> of doing this?

This is in the guidelines now
http://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps

In any case seems like hal is deprecated in favor of devKit, so I guess it isn't that much important having a perfect packaging for hal, and this is not really important anyway, I'll close that bug.


Note You need to log in before you can comment on or make changes to this bug.